Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155361 - 20041216 ROSE ndigis verification (regression)
Summary: 20041216 ROSE ndigis verification (regression)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-19 15:34 UTC by Mark J. Cox
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-20 02:32:00 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2005-04-19 15:34:00 UTC
An error exists in ROSE due to missing verification of the ndigis argument of
new routes.  This was found by Coverity 20041216, rose_rt_ioctl.

http://linux.bkbits.net:8080/linux-2.6/cset@423114bcdthRtmtdS6MsZiBVvteGCg
http://linux.bkbits.net:8080/linux-2.4/cset@41e2cf515TpixcVQ8q8HvQvCv9E6zA

A fix for this issue was included in patch-2.6.10-ac8 and therefore our FC3
update on 20050110 fixes this issue.  However the FC3 update on 20050411 dropped
the patch, and the patch was not in upstream 2.6.11, therefore FC3 is currently
vulnerable to this issue again.

Comment 1 Dave Jones 2005-04-20 02:32:00 UTC
We don't build the hamradio stuff in FC3.




Note You need to log in before you can comment on or make changes to this bug.